Summary: Abstract Machine Test Utility (AMTU)
Name: amtu 
Version: 1.0.6
Release: 2%{?dist}
License: Common Public License
Group: System Environment/Base
URL: http://sourceforge.net/projects/amtueal/
Source0: %{name}-%{version}.tar.gz
Patch1: amtu-1.0.8-memsep.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: audit-libs-devel >= 1.1.2
BuildRequires: automake
Requires: audit >= 1.1.2

# Red Hat AMTU SPEC file

%description
Abstract Machine Test Utility (AMTU) is an administrative utility to check
whether the underlying protection mechanism of the hardware are still being
enforced. This is a requirement of the Controlled Access Protection Profile
FPT_AMT.1, see 
http://www.radium.ncsc.mil/tpep/library/protection_profiles/CAPP-1.d.pdf

%prep
%setup -q
%patch1 -p1

%build
# Determine appropriate compiler
CC="gcc"
%ifarch ppc64 ppc64iseries ppc64pseries
  CC="/usr/bin/ppc64-redhat-linux-gcc"
%endif
# Determine appropriate compiler flags
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wall -pipe"
%ifarch x86_64
  CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wall -pipe -m64"
%endif
export CC CFLAGS
# next 3 items is to quieten autoreconf
touch ChangeLog
touch NEWS
touch AUTHORS
autoreconf -fv --install
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 0750 src/amtu $RPM_BUILD_ROOT/%{_bindir}

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8/
install -m 644 doc/amtu.8 $RPM_BUILD_ROOT/%{_mandir}/man8/amtu.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc/AMTUHowTo.txt COPYING
%attr(0750,root,root) %{_bindir}/amtu
%attr(0644,root,root) %{_mandir}/man8/*

%changelog
* Sun Sep 19 2010 Steve Grubb <sgrubb@redhat.com> 1.0.6-2
resolves: #556853 - amtu memory separation test can fail randomly

* Wed Dec 19 2007 Steve Grubb <sgrubb@redhat.com> 1.0.6-1
- new upstream version fixing memory test for large memory systems
Resolves: #426156 

* Tue Jan 9 2007 Steve Grubb <sgrubb@redhat.com> 1.0.4-4
- patch fixing network and disk tests
Resolves: #222063

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.4-3.1
- rebuild

* Mon Jun 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.4-3
- Fix missing BR on automake

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.4-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.4-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan  3 2006 Jesse Keating <jkeating@redhat.com> 1.0.4-2
- rebuilt

* Fri Dec 9 2005 Steve Grubb <sgrubb@redhat.com> 1.0.4-1
- New upstream version updated for new audit messages
* Mon Dec 5 2005 Steve Grubb <sgrubb@redhat.com> 1.0.2-2
- Fix %clean section of spec file (bz 172942)
- Add memsep-random patch (bz 174767)
* Thu Jul 14 2005 Steve Grubb <sgrubb@redhat.com> 1.0.2-1
- New upstream version.
* Tue Jul 12 2005 Steve Grubb <sgrubb@redhat.com> 1.0.1-1
- New version fixes bug where audit system was disable at end of test.
* Wed Jun  8 2005 Steve Grubb <sgrubb@redhat.com> 1.0-2
- add a few more include "config.h"
* Fri May  27 2005 Steve Grubb <sgrubb@redhat.com> 1.0-1
- New upstream version from IBM
- Drop memsep patch
- Rework specfile
* Thu Sep  2 2004 root <ccb@redhat.com> 0.1-7RHEL
- integrate memsep patch from Matt Anderson at HP
* Mon Aug 16 2004 root <ccb@redhat.com> 0.1-6RHEL
- Integrate ia64 patches from HP's Matt Anderson, enabling use on ia64
* Tue Jun 29 2004 root <ccb@redhat.com> 0.1-4RHEL
- fix /usr/bin/amtu modes for real this time
* Tue Jun 29 2004 root <ccb@redhat.com> 0.1-4RHEL
- set execute bits on /usr/bin/amtu
* Fri May 28 2004 ccb <ccb@redhat.com> 0.1-3RHEL
- fixed owners and permissions in %files
* Wed May 26 2004 ccb <ccb@redhat.com> 0.1-2RHEL
- move docs to a version-qualified directory name
* Sat May  1 2004 root <chavezt@cs679156-153.austin.rr.com> 
- Initial build.

